diff --git a/engines/pegasus/neighborhood/mars/mars.cpp b/engines/pegasus/neighborhood/mars/mars.cpp
index 435bcd4..55e0ddc 100644
--- a/engines/pegasus/neighborhood/mars/mars.cpp
+++ b/engines/pegasus/neighborhood/mars/mars.cpp
@@ -25,16 +25,20 @@
 
 #include "common/events.h"
 #include "video/qt_decoder.h"
+#include "video/theora_decoder.h"
 
 #include "pegasus/cursor.h"
 #include "pegasus/energymonitor.h"
 #include "pegasus/gamestate.h"
 #include "pegasus/pegasus.h"
 #include "pegasus/ai/ai_area.h"
+#include "pegasus/items/biochips/arthurchip.h"
 #include "pegasus/items/biochips/opticalchip.h"
 #include "pegasus/items/biochips/shieldchip.h"
 #include "pegasus/items/inventory/airmask.h"
+#include "pegasus/neighborhood/mars/canyonchase.h"
 #include "pegasus/neighborhood/mars/mars.h"
+#include "pegasus/neighborhood/mars/tunnelpod.h"
 
 namespace Pegasus {
 
@@ -44,6 +48,9 @@ static const int16 kMarsShieldPanelOffsetAngle = 22;
 
 static const CanMoveForwardReason kCantMoveRobotBlocking = kCantMoveLastReason + 1;
 
+static const ExtraID kMarsRobotBobSlow = 1000;
+static const ExtraID kMarsRobotGenoSlow = 1001;
+
 static const NotificationFlags kTimeForCanyonChaseFlag = kLastNeighborhoodNotificationFlag << 1;
 static const NotificationFlags kExplosionFinishedFlag = kTimeForCanyonChaseFlag << 1;
 static const NotificationFlags kTimeToTransportFlag = kExplosionFinishedFlag << 1;
@@ -52,6 +59,13 @@ static const NotificationFlags kMarsNotificationFlags = kTimeForCanyonChaseFlag
 													kExplosionFinishedFlag |
 													kTimeToTransportFlag;
 
+static const TimeValue kBucketClimbInTime = 1393980;
+static const TimeValue kBucketSeeGearRoomTime = 2240;
+static const TimeValue kBucketClimbOutTime = 1340;
+
+static const TimeValue kPodCautionDisplayedTime = 1631;
+static const TimeValue kPodCautionDismissedTime = 3889;
+
 static const TimeValue kLittleExplosionStart = 0 * 40;
 static const TimeValue kLittleExplosionStop = 24 * 40;
 
@@ -90,16 +104,18 @@ void MarsTimerEvent::fire() {
 }
 
 Mars::Mars(InputHandler *nextHandler, PegasusEngine *owner) : Neighborhood(nextHandler, owner, "Mars", kMarsID),
-		_guessObject(kNoDisplayElement), _undoPict(kNoDisplayElement), _guessHistory(kNoDisplayElement),
-		_choiceHighlight(kNoDisplayElement), _shuttleInterface1(kNoDisplayElement), _shuttleInterface2(kNoDisplayElement),
-		_shuttleInterface3(kNoDisplayElement), _shuttleInterface4(kNoDisplayElement), _canyonChaseMovie(kNoDisplayElement),
-		_leftShuttleMovie(kNoDisplayElement), _rightShuttleMovie(kNoDisplayElement), _lowerLeftShuttleMovie(kNoDisplayElement),
-		_lowerRightShuttleMovie(kNoDisplayElement), _centerShuttleMovie(kNoDisplayElement),
-		_upperLeftShuttleMovie(kNoDisplayElement), _upperRightShuttleMovie(kNoDisplayElement),
-		_leftDamageShuttleMovie(kNoDisplayElement), _rightDamageShuttleMovie(kNoDisplayElement), _explosions(kNoDisplayElement),
-		_planetMovie(kNoDisplayElement), _junk(kNoDisplayElement), _energyChoiceSpot(kShuttleEnergySpotID),
-		_gravitonChoiceSpot(kShuttleGravitonSpotID), _tractorChoiceSpot(kShuttleTractorSpotID),
-		_shuttleViewSpot(kShuttleViewSpotID), _shuttleTransportSpot(kShuttleTransportSpotID) {
+		_extraMovie(kNoDisplayElement), _podSteerMovie(kNoDisplayElement), _guessObject(kNoDisplayElement),
+		_undoPict(kNoDisplayElement), _guessHistory(kNoDisplayElement), _choiceHighlight(kNoDisplayElement),
+		_shuttleInterface1(kNoDisplayElement), _shuttleInterface2(kNoDisplayElement),
+		_shuttleInterface3(kNoDisplayElement), _shuttleInterface4(kNoDisplayElement),
+		_canyonChaseMovie(kNoDisplayElement), _leftShuttleMovie(kNoDisplayElement), _rightShuttleMovie(kNoDisplayElement),
+		_lowerLeftShuttleMovie(kNoDisplayElement), _lowerRightShuttleMovie(kNoDisplayElement),
+		_centerShuttleMovie(kNoDisplayElement), _upperLeftShuttleMovie(kNoDisplayElement),
+		_upperRightShuttleMovie(kNoDisplayElement), _leftDamageShuttleMovie(kNoDisplayElement),
+		_rightDamageShuttleMovie(kNoDisplayElement), _explosions(kNoDisplayElement), _planetMovie(kNoDisplayElement),
+		_junk(kNoDisplayElement), _energyChoiceSpot(kShuttleEnergySpotID), _gravitonChoiceSpot(kShuttleGravitonSpotID),
+		_tractorChoiceSpot(kShuttleTractorSpotID), _shuttleViewSpot(kShuttleViewSpotID),
+		_shuttleTransportSpot(kShuttleTransportSpotID) {
 	_noAirFuse.setFunctor(new Common::Functor0Mem<void, Mars>(this, &Mars::airStageExpired));
 	setIsItemTaken(kMarsCard);
 	setIsItemTaken(kAirMask);
@@ -126,12 +142,25 @@ void Mars::init() {
 
 	_neighborhoodNotification.notifyMe(this, kMarsNotificationFlags, kMarsNotificationFlags);
 
+	_extraMovieCallBack.setNotification(&_neighborhoodNotification);
+
 	_explosionCallBack.setNotification(&_neighborhoodNotification);
 	_explosionCallBack.setCallBackFlag(kExplosionFinishedFlag);
 
 	_weaponSelection = kNoWeapon;
 }
 
+GameInteraction *Mars::makeInteraction(const InteractionID interactionID) {
+	switch (interactionID) {
+	case kMarsTunnelPodInteractionID:
+		return new TunnelPod(this);
+	case kMarsCanyonChaseInteractionID:
+		return new CanyonChase(this);
+	default:
+		return NULL;
+	}
+}
+
 void Mars::flushGameState() {
 	g_energyMonitor->saveCurrentEnergyValue();
 }
@@ -144,6 +173,65 @@ void Mars::start() {
 	Neighborhood::start();
 }
 
+class ArthurOxygen50Action : public AIPlayMessageAction {
+public:
+	ArthurOxygen50Action();
+
+	virtual void performAIAction(AIRule *);
+};
+
+ArthurOxygen50Action::ArthurOxygen50Action() : AIPlayMessageAction("Images/AI/Mars/XMMAZB1", false, kWarningInterruption) {
+}
+
+void ArthurOxygen50Action::performAIAction(AIRule *rule) {
+	if (GameState.isTakenItemID(kArthurBiochip) && g_arthurChip && g_arthurChip->isChattyArthur())
+		g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA84", kArthurMarsOxygen50Warning);
+	else
+		AIPlayMessageAction::performAIAction(rule);
+}
+
+class ArthurOxygen25Action : public AIPlayMessageAction {
+public:
+	ArthurOxygen25Action();
+
+	virtual void performAIAction(AIRule *);
+};
+
+ArthurOxygen25Action::ArthurOxygen25Action() : AIPlayMessageAction("Images/AI/Mars/XMMAZB2", false, kWarningInterruption) {
+}
+
+void ArthurOxygen25Action::performAIAction(AIRule *rule) {
+	if (GameState.isTakenItemID(kArthurBiochip) && g_arthurChip && g_arthurChip->isChattyArthur()) {
+		if (((PegasusEngine *)g_engine)->getRandomBit())
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA85", kArthurMarsOxygen25Warning);
+		else
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA87", kArthurMarsOxygen25Warning);
+	} else {
+		AIPlayMessageAction::performAIAction(rule);
+	}
+}
+
+class ArthurOxygen5Action : public AIPlayMessageAction {
+public:
+	ArthurOxygen5Action();
+
+	virtual void performAIAction(AIRule *);
+};
+
+ArthurOxygen5Action::ArthurOxygen5Action() : AIPlayMessageAction("Images/AI/Mars/XMMAZB3", false, kWarningInterruption) {
+}
+
+void ArthurOxygen5Action::performAIAction(AIRule *rule) {
+	if (GameState.isTakenItemID(kArthurBiochip) && g_arthurChip && g_arthurChip->isChattyArthur()) {
+		if (((PegasusEngine *)g_engine)->getRandomBit())
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA86", kArthurMarsOxygen5Warning);
+		else
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA88", kArthurMarsOxygen5Warning);
+	} else {
+		AIPlayMessageAction::performAIAction(rule);
+	}
+}
+
 class AirMaskCondition : public AICondition {
 public:
 	AirMaskCondition(const uint32);
@@ -210,12 +298,18 @@ void Mars::setUpAIRules() {
 		g_AIArea->addAIRule(rule);
 
 		AirMaskCondition *airMask50Condition = new AirMaskCondition(50);
-		messageAction = new AIPlayMessageAction("Images/AI/Mars/XMMAZB1", false);
+		if (_vm->isDVD())
+			messageAction = new ArthurOxygen50Action();
+		else
+			messageAction = new AIPlayMessageAction("Images/AI/Mars/XMMAZB1", false);
 		AIRule *rule50 = new AIRule(airMask50Condition, messageAction);
 
 		AirMaskCondition *airMask25Condition = new AirMaskCondition(25);
 		AICompoundAction *compound = new AICompoundAction();
-		messageAction = new AIPlayMessageAction("Images/AI/Mars/XMMAZB2", false);
+		if (_vm->isDVD())
+			messageAction = new ArthurOxygen25Action();
+		else
+			messageAction = new AIPlayMessageAction("Images/AI/Mars/XMMAZB2", false);
 		compound->addAction(messageAction);
 		deactivate = new AIDeactivateRuleAction(rule50);
 		compound->addAction(deactivate);
@@ -223,7 +317,10 @@ void Mars::setUpAIRules() {
 
 		AirMaskCondition *airMask5Condition = new AirMaskCondition(5);
 		compound = new AICompoundAction;
-		messageAction = new AIPlayMessageAction("Images/AI/Mars/XMMAZB3", false);
+		if (_vm->isDVD())
+			messageAction = new ArthurOxygen5Action();
+		else
+			messageAction = new AIPlayMessageAction("Images/AI/Mars/XMMAZB3", false);
 		compound->addAction(messageAction);
 		deactivate = new AIDeactivateRuleAction(rule50);
 		compound->addAction(deactivate);
@@ -396,8 +493,155 @@ void Mars::cantMoveThatWay(CanMoveForwardReason reason) {
 }
 
 void Mars::moveForward() {
-	if (GameState.getCurrentRoom() == kMars02 || (GameState.getCurrentRoom() >= kMars05 && GameState.getCurrentRoom() <= kMars08))
+	if (GameState.getCurrentRoom() == kMars02 || (GameState.getCurrentRoom() >= kMars05 && GameState.getCurrentRoom() <= kMars08)) {
 		loadLoopSound2("");
+	} else if (_vm->isDVD()) {
+		Movie movie(kNoDisplayElement);
+		Input input;
+
+		if (!GameState.isTakenItemID(kCardBomb) &&
+			GameState.getCurrentRoom() == kMars60 &&
+			GameState.getCurrentDirection() == kWest) {
+			loadLoopSound1("");
+			loadLoopSound2("");
+			movie.initFromMovieFile("Images/Mars/MMbomb.mov");
+			movie.setVolume(_vm->getSoundFXLevel());
+			movie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+			movie.setDisplayOrder(kNavMovieOrder + 1);
+			movie.startDisplaying();
+			movie.show();
+			movie.start();
+
+			while (movie.isRunning() && !_vm->shouldQuit()) {
+				InputDevice.getInput(input, kFilterNoInput);
+
+				_vm->checkCallBacks();
+				_vm->refreshDisplay();
+				_vm->_system->delayMillis(10);
+			}
+
+			if (_vm->shouldQuit())
+				return;
+
+			movie.moveElementTo(0, 0);
+			_vm->_gfx->setCurSurface(_navMovie.getSurface());
+			movie.copyToCurrentPort();
+			_vm->_gfx->setCurSurface(_vm->_gfx->getWorkArea());
+
+			movie.hide();
+			movie.stopDisplaying();
+			movie.releaseMovie();
+
+			didntFindBomb();
+			return;
+		} else if (!GameState.getWalkthroughMode() &&
+					GameState.getCurrentRoom() == kMarsMaze200 &&
+					GameState.getCurrentDirection() == kWest) {
+			ExitTable::Entry exitEntry;
+			Common::Rect pushBounds;
+			bool leavingBucket;
+
+			// Fall down the shaft immediately if we miss the climb-in
+			if (_navMovie.getTime() >= kBucketClimbInTime) {
+				_navMovie.stop();
+
+				movie.initFromMovieFile("Images/Mars/MMfall.mov");
+				movie.setVolume(_vm->getSoundFXLevel());
+				movie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+				movie.setDisplayOrder(kNavMovieOrder + 1);
+				movie.startDisplaying();
+				movie.show();
+				movie.start();
+
+				while (movie.isRunning() && !_vm->shouldQuit()) {
+					InputDevice.getInput(input, kFilterNoInput);
+
+					_vm->checkCallBacks();
+					_vm->refreshDisplay();
+					_vm->_system->delayMillis(10);
+				}
+
+				if (_vm->shouldQuit())
+					return;
+
+				movie.moveElementTo(0, 0);
+				_vm->_gfx->setCurSurface(_navMovie.getSurface());
+				movie.copyToCurrentPort();
+				_vm->_gfx->setCurSurface(_vm->_gfx->getWorkArea());
+
+				movie.hide();
+				movie.stopDisplaying();
+				movie.releaseMovie();
+
+				die(kDeathMissedOreBucket);
+				return;
+			}
+			
+			canMoveForward(exitEntry);
+
+			leavingBucket = false;
+			_navMovie.stop();
+			_turnPush.getBounds(pushBounds);
+			_navMovie.moveElementTo(pushBounds.left, pushBounds.top);
+			_navMovie.show();
+			_navMovie.setFlags(0);
+
+			// Set segment so we can skip ahead as needed
+			// Ride up the shaft but don't try to get out
+			_navMovie.setSegment(exitEntry.movieStart, exitEntry.movieEnd - kBucketClimbOutTime);
+			_navMovie.setTime(exitEntry.movieStart);
+			_navMovie.start();
+			while (_navMovie.isRunning() && _navMovie.getTime() < exitEntry.movieEnd - kBucketSeeGearRoomTime) {
+				InputDevice.getInput(input, kFilterAllDirections);
+
+				if (input.upButtonDown() ||
+					input.downButtonDown() ||
+					input.leftButtonDown() ||
+					input.rightButtonDown()) {
+					_navMovie.stop();
+					_vm->getDeathSound().initFromAIFFFile("Sounds/Mars/Mars Maze Fall.AIFF");
+					_vm->getDeathSound().setVolume(_vm->getSoundFXLevel());
+					_vm->getDeathSound().playSound();
+					die(kDeathMissedOreBucket);
+					return;
+				}
+
+				_vm->checkCallBacks();
+				_vm->refreshDisplay();
+				g_system->delayMillis(10);
+			}
+
+			// We can see the gear room at this point so it's safe to try to get out
+			_navMovie.setTime(exitEntry.movieEnd - kBucketSeeGearRoomTime);
+			while (_navMovie.isRunning()) {
+				InputDevice.getInput(input, kFilterAllDirections);
+
+				if (input.upButtonAnyDown()) {
+					leavingBucket = true;
+				} else if (input.anyDirectionInput()) {
+					_navMovie.stop();
+					_vm->getDeathSound().initFromAIFFFile("Sounds/Mars/Mars Maze Fall.AIFF");
+					_vm->getDeathSound().setVolume(_vm->getSoundFXLevel());
+					_vm->getDeathSound().playSound();
+					die(kDeathMissedOreBucket);
+					return;
+				}
+
+				_vm->checkCallBacks();
+				_vm->refreshDisplay();
+				g_system->delayMillis(10);
+			}
+			_navMovie.stop();
+
+			if (leavingBucket) {
+				exitEntry.movieStart = exitEntry.movieEnd - kBucketClimbOutTime;
+				startExitMovie(exitEntry);
+			} else {
+				playDeathExtra(kMars200DeathInBucket, kDeathDidntLeaveBucket);
+			}
+			return;
+		}
+	}
 
 	Neighborhood::moveForward();
 }
@@ -709,6 +953,88 @@ void Mars::checkAirlockDoors() {
 	}
 }
 
+void Mars::startDoorOpenMovie(const TimeValue startTime, const TimeValue stopTime) {
+	Movie movie(kNoDisplayElement);
+	Input input;
+
+	if (_vm->isDVD() && GameState.getCurrentRoomAndView() == MakeRoomView(kMars18, kNorth) &&
+		GameState.getMarsPodAtUpperPlatform()) {
+		movie.initFromMovieFile("Images/Mars/M45DF.movie");
+		movie.setVolume(_vm->getSoundFXLevel());
+		movie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+		movie.setDisplayOrder(kNavMovieOrder + 1);
+		movie.startDisplaying();
+		movie.show();
+		movie.start();
+
+		while (movie.isRunning() && !_vm->shouldQuit()) {
+			InputDevice.getInput(input, kFilterNoInput);
+
+			_vm->checkCallBacks();
+			_vm->refreshDisplay();
+			_vm->_system->delayMillis(10);
+		}
+
+		if (_vm->shouldQuit())
+			return;
+
+		movie.moveElementTo(0, 0);
+		_vm->_gfx->setCurSurface(_navMovie.getSurface());
+		movie.copyToCurrentPort();
+		_vm->_gfx->setCurSurface(_vm->_gfx->getWorkArea());
+
+		movie.hide();
+		movie.stopDisplaying();
+		movie.releaseMovie();
+
+		Neighborhood::doorOpened();
+	} else {
+		Neighborhood::startDoorOpenMovie(startTime, stopTime);
+	}
+}
+
+void Mars::startExitMovie(const ExitTable::Entry &exitEntry) {
+	Movie movie(kNoDisplayElement);
+	Input input;
+
+	if (_vm->isDVD() && GameState.getCurrentRoomAndView() == MakeRoomView(kMars18, kNorth) &&
+		GameState.getMarsPodAtUpperPlatform()) {
+		movie.initFromMovieFile("Images/Mars/M45DG.movie");
+		movie.setVolume(_vm->getSoundFXLevel());
+		movie.moveElementTo(kNavAreaLeft, kNavAreaTop);
+		movie.setDisplayOrder(kNavMovieOrder + 1);
+		movie.startDisplaying();
+		movie.show();
+		movie.start();
+
+		while (movie.isRunning() && !_vm->shouldQuit()) {
+			InputDevice.getInput(input, kFilterNoInput);
+
+			_vm->checkCallBacks();
+			_vm->refreshDisplay();
+			_vm->_system->delayMillis(10);
+		}
+
+		if (_vm->shouldQuit())
+			return;
+
+		movie.moveElementTo(0, 0);
+		_vm->_gfx->setCurSurface(_navMovie.getSurface());
+		movie.copyToCurrentPort();
+		_vm->_gfx->setCurSurface(_vm->_gfx->getWorkArea());
+
+		movie.hide();
+		movie.stopDisplaying();
+		movie.releaseMovie();
+
+		arriveAt(kMars32, kNorth);
+	} else {
+		Neighborhood::startExitMovie(exitEntry);
+	}
+	if (GameState.getCurrentRoomAndView() == MakeRoomView(kMars43, kEast) && g_arthurChip)
+		g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA07", kArthurMarsEnteredShuttle);
+}
+
 int16 Mars::getStaticCompassAngle(const RoomID room, const DirectionConstant dir) {
 	int16 angle = Neighborhood::getStaticCompassAngle(room, dir);
 
@@ -877,33 +1203,78 @@ void Mars::getExtraCompassMove(const ExtraTable::Entry &entry, FaderMoveSpec &co
 }
 
 void Mars::loadAmbientLoops() {
+	// Don't load an ambient loop if we died in a chase sequence
+	if (_vm->getEnergyDeathReason() == kDeathRanIntoCanyonWall || _vm->getEnergyDeathReason() == kDeathCollidedWithPod)
+		return;
+
 	RoomID room = GameState.getCurrentRoom();
 
 	if ((room >= kMars0A && room <= kMars21) || (room >= kMars41 && room <= kMars43)) {
-		if (GameState.getMarsSeenTimeStream())
-			loadLoopSound1("Sounds/Mars/Gantry Ambient.22K.8.AIFF");
+		if (GameState.getMarsSeenTimeStream()) {
+			if (_vm->isDVD()) // Updated for the DVD version
+				loadLoopSound1("Sounds/Mars/Gantry Ambient.32K.16.AIFF");
+			else
+				loadLoopSound1("Sounds/Mars/Gantry Ambient.22K.8.AIFF");
+		}
 	} else if (room >= kMars22 && room <= kMars31South) {
-		loadLoopSound1("Sounds/Mars/Reception.02.22K.8.AIFF", 0x100 / 4);
+		if (_vm->isDVD()) // Updated for the DVD version
+			loadLoopSound1("Sounds/Mars/Reception.02.32K.16.AIFF", 0x100 / 4);
+		else
+			loadLoopSound1("Sounds/Mars/Reception.02.22K.8.AIFF", 0x100 / 4);
 	} else if (room >= kMars32 && room <= kMars34) {
-		loadLoopSound1("Sounds/Mars/Pod Room Ambient.22K.8.AIFF");
-	} else if (room == kMars35) {
-		if (getAirQuality(room) == kAirQualityVacuum)
-			loadLoopSound1("Sounds/Mars/Gear Room Ambient.22K.8.AIFF");
+		if (_vm->isDVD()) // Updated for the DVD version
+			loadLoopSound1("Sounds/Mars/Pod Room Ambient.32K.16.AIFF");
 		else
-			loadLoopSound1("Sounds/Mars/Gantry Ambient.22K.8.AIFF", 0x100 / 2);
+			loadLoopSound1("Sounds/Mars/Pod Room Ambient.22K.8.AIFF");
+	} else if (room == kMars35) {
+		if (getAirQuality(room) == kAirQualityVacuum) {
+			if (_vm->isDVD()) // Updated for the DVD version
+				loadLoopSound1("Sounds/Mars/Gear Room Ambient.44K.16.AIFF");
+			else
+				loadLoopSound1("Sounds/Mars/Gear Room Ambient.22K.8.AIFF");
+		} else {
+			if (_vm->isDVD()) // Updated for the DVD version
+				loadLoopSound1("Sounds/Mars/Gantry Ambient.32K.16.AIFF", 0x100 / 2);
+			else
+				loadLoopSound1("Sounds/Mars/Gantry Ambient.22K.8.AIFF", 0x100 / 2);
+		}
 	} else if (room >= kMars36 && room <= kMars39) {
-		loadLoopSound1("Sounds/Mars/Gear Room Ambient.22K.8.AIFF");
+		if (_vm->isDVD()) // Updated for the DVD version
+			loadLoopSound1("Sounds/Mars/Gear Room Ambient.44K.16.AIFF");
+		else
+			loadLoopSound1("Sounds/Mars/Gear Room Ambient.22K.8.AIFF");
 	} else if (room >= kMars45 && room <= kMars51) {
-		loadLoopSound1("Sounds/Mars/Lower Mars Ambient.22K.8.AIFF");
+		if (_vm->isDVD()) // Updated for the DVD version
+			loadLoopSound1("Sounds/Mars/Lower Mars Ambient.32K.16.AIFF");
+		else
+			loadLoopSound1("Sounds/Mars/Lower Mars Ambient.22K.8.AIFF");
 	} else if (room >= kMars52 && room <= kMars58) {
-		loadLoopSound1("Sounds/Mars/ReactorLoop.22K.8.AIFF");
-	} else if (room == kMars60) {
-		if (getAirQuality(room) == kAirQualityVacuum)
-			loadLoopSound1("Sounds/Mars/Mars Maze Ambient.22K.8.AIFF");
+		if (_vm->isDVD()) // Updated for the DVD version
+			loadLoopSound1("Sounds/Mars/ReactorLoop.44K.16.AIFF");
 		else
-			loadLoopSound1("Sounds/Mars/Lower Mars Ambient.22K.8.AIFF", 0x100 / 2);
+			loadLoopSound1("Sounds/Mars/ReactorLoop.22K.8.AIFF");
+	} else if (room == kMars60) {
+		if (getAirQuality(room) == kAirQualityVacuum) {
+			if (_vm->isDVD()) // Updated for the DVD version
+				loadLoopSound1("Sounds/Mars/Mars Maze Ambient.32K.16.AIFF");
+			else
+				loadLoopSound1("Sounds/Mars/Mars Maze Ambient.22K.8.AIFF");
+		} else {
+			if (_vm->isDVD()) // Updated for the DVD version
+				loadLoopSound1("Sounds/Mars/Lower Mars Ambient.32K.16.AIFF", 0x100 / 2);
+			else
+				loadLoopSound1("Sounds/Mars/Lower Mars Ambient.22K.8.AIFF", 0x100 / 2);
+		}
 	} else if (room >= kMarsMaze004 && room <= kMarsMaze200) {
-		loadLoopSound1("Sounds/Mars/Mars Maze Ambient.22K.8.AIFF");
+		if (_vm->isDVD()) { // Updated for the DVD version
+			if (GameState.getEasterEgg() || room == kMarsMaze200 ||
+				(room == kMarsMaze199 && GameState.getCurrentDirection() == kWest))
+				loadLoopSound1("Sounds/Mars/Mars Maze Ambient.32K.16.AIFF");
+			else
+				loadLoopSound1("Sounds/Mars/Mars Maze GenoLoop.32K.16.AIFF");
+		} else {
+			loadLoopSound1("Sounds/Mars/Mars Maze Ambient.22K.8.AIFF");
+		}
 	} else if (room == kMarsRobotShuttle) {
 		loadLoopSound1("Sounds/Mars/Robot Shuttle.22K.8.AIFF");
 	}
@@ -1130,6 +1501,9 @@ void Mars::timerExpired(const uint32 eventType) {
 }
 
 void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
+	Input input;
+	InventoryItem *item;
+
 	switch (MakeRoomView(room, direction)) {
 	case MakeRoomView(kMars18, kNorth):
 		if (GameState.getMarsPodAtUpperPlatform())
@@ -1142,6 +1516,14 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 		else
 			setCurrentAlternate(kAltMarsNormal);
 		break;
+	case MakeRoomView(kMars31South, kSouth):
+		if (!GameState.isTakenItemID(kMarsCard) && g_arthurChip) {
+			if (_vm->getRandomBit())
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA05", kArthurMarsZoomedToKeyCard);
+			else
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA96", kArthurMarsZoomedToKeyCard);
+		}
+		break;
 	case MakeRoomView(kMars35, kEast):
 	case MakeRoomView(kMars35, kWest):
 		if (GameState.getMarsAirlockOpen())
@@ -1155,6 +1537,8 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 			setCurrentAlternate(kAltMars60AirlockEast);
 		else
 			setCurrentAlternate(kAltMars60AirlockWest);
+		if (!(g_airMask && g_airMask->getAirLeft() > 0) && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA39", kArthurMarsInAirlockNoOxygen);
 		break;
 	case MakeRoomView(kMars45, kNorth):
 	case MakeRoomView(kMars45, kSouth):
@@ -1175,6 +1559,12 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 			setCurrentAlternate(kAltMarsNormal);
 		else
 			setCurrentAlternate(kAltMarsPodAtMars45);
+		if (g_arthurChip && room == kMars46) {
+			if (direction == kEast && !GameState.isTakenItemID(kCrowbar))
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA34", kArthurMarsLeftPodNoCrowBar);
+			else if (direction == kWest && GameState.getMarsPodAtUpperPlatform())
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA82", kArthurMarsLookAtEmptyTracks);
+		}
 		break;
 	case MakeRoomView(kMars48, kNorth):
 	case MakeRoomView(kMars48, kSouth):
@@ -1196,6 +1586,16 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 		else
 			setCurrentAlternate(kAltMarsNormal);
 		break;
+	case MakeRoomView(kMarsMaze004, kWest):
+		if (_vm->isDVD() && GameState.getCurrentRoom() == kMars60) {
+			InputDevice.getInput(input, kFilterAllInput);
+			// Check easter egg modifier for the Geno mix
+			if (JMPPPInput::isEasterEggModifierInput(input))
+				GameState.setEasterEgg(true);
+			else
+				GameState.setEasterEgg(false);
+		}
+		break;
 	}
 
 	Neighborhood::arriveAt(room, direction);
@@ -1207,6 +1607,11 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 		if (!GameState.getMarsSeenTimeStream())
 			startExtraLongSequence(kMarsArrivalFromTSA, kMars0AWatchShuttleDepart, kExtraCompletedFlag, kFilterNoInput);
 		break;
+	case MakeRoomView(kMars07, kNorth):
+		item = (InventoryItem *)g_allItems.findItemByID(kNitrogenCanister);
+		if (((g_airMask && g_airMask->getAirLeft() > 0) || item->getItemState() == kNitrogenFull) && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA24", kArthurMarsSawWelcomeVideos);
+		break;
 	case MakeRoomView(kMars07, kSouth):
 	case MakeRoomView(kMars13, kNorth):
 		if (!GameState.getMarsHeardCheckInMessage()) {
@@ -1214,6 +1619,11 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 			GameState.setMarsHeardCheckInMessage(true);
 		}
 		break;
+	case MakeRoomView(kMars41, kEast):
+	case MakeRoomView(kMars42, kEast):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA73", kArthurMarsFoundNoShuttlePresent);
+		break;
 	case MakeRoomView(kMars44, kWest):
 		if (GameState.getMarsReadyForShuttleTransport())
 			startUpFromFinishedSpaceChase();
@@ -1229,6 +1639,8 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 	case MakeRoomView(kMars11, kSouth):
 	case MakeRoomView(kMars12, kSouth):
 		setCurrentActivation(kActivationReadyForKiosk);
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA33", kArthurMarsReadyForKiosk);
 		break;
 	case MakeRoomView(kMars15, kWest):
 		if (GameState.getMarsThreadedMaze() && !GameState.getMarsSecurityDown()) {
@@ -1253,8 +1665,11 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 	case MakeRoomView(kMars19, kNorth):
 	case MakeRoomView(kMars19, kSouth):
 	case MakeRoomView(kMars19, kWest):
-		if (GameState.getMarsThreadedMaze() && !GameState.getMarsSawRobotLeave())
+		if (GameState.getMarsThreadedMaze() && !GameState.getMarsSawRobotLeave()) {
 			forceStridingStop(kMars19, kWest, kAltMarsNormal);
+			if (g_arthurChip)
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA38", kArthurMarsExitedGearRoom);
+		}
 
 		if (GameState.getMarsThreadedMaze() && !GameState.getMarsSecurityDown())
 			forceStridingStop(kMars17, kWest, kAltMarsNormal);
@@ -1305,8 +1720,24 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 			setCurrentActivation(kActivateReadyToPressurizeAirlock);
 		break;
 	case MakeRoomView(kMars39, kWest):
-		if (GameState.getLastRoom() == kMarsMaze200)
+		if (GameState.getLastRoom() == kMarsMaze200) {
 			GameState.setMarsPodAtUpperPlatform(false);
+			if (_vm->isDVD())
+				GameState.setEasterEgg(false);
+		}
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBB40", kArthurMarsEnteredGearRoom);
+		break;
+	case MakeRoomView(kMars39, kNorth):
+	case MakeRoomView(kMars39, kSouth):
+	case MakeRoomView(kMars38, kNorth):
+	case MakeRoomView(kMars38, kSouth):
+	case MakeRoomView(kMars37, kNorth):
+	case MakeRoomView(kMars37, kSouth):
+	case MakeRoomView(kMars36, kNorth):
+	case MakeRoomView(kMars36, kSouth):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA83", kArthurMarsLookAtGears);
 		break;
 	case MakeRoomView(kMars45, kSouth):
 		// Set up maze doors here.
@@ -1322,7 +1753,19 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 		if (!GameState.getMarsSeenRobotAtReactor()) {
 			// Preload the looping sound...
 			loadLoopSound2("Sounds/Mars/Robot Loop.aiff", 0, 0, 0);
-			startExtraSequence(kMars48RobotApproaches, kExtraCompletedFlag, kFilterNoInput);
+			if (!_vm->isDVD()) {
+				startExtraSequence(kMars48RobotApproaches, kExtraCompletedFlag, kFilterNoInput);
+			} else {
+				InputDevice.getInput(input, kFilterAllInput);
+				if (JMPPPInput::isEasterEggModifierInput(input)) {
+					if (_vm->getRandomBit())
+						startExtraSequence(kMars48RobotApproaches, kExtraCompletedFlag, kFilterNoInput);
+					else
+						startExtraSequence(kMarsRobotBobSlow, kExtraCompletedFlag, kFilterNoInput);
+				} else {
+					startExtraSequence(kMarsRobotGenoSlow, kExtraCompletedFlag, kFilterNoInput);
+				}
+			}
 		} else if (!GameState.getMarsAvoidedReactorRobot()) {
 			loadLoopSound2("Sounds/Mars/Robot Loop.aiff", 0x100, 0, 0);
 			loopExtraSequence(kMars48RobotLoops);
@@ -1362,10 +1805,14 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 			g_shield->setItemState(kShieldNormal);
 		g_energyMonitor->setEnergyDrainRate(kEnergyDrainNormal);
 		_vm->resetEnergyDeathReason();
+		if (GameState.isTakenItemID(kCardBomb) && g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA78", kArthurMarsExitedReactorWithCardBomb);
 		break;
+	case MakeRoomView(kMars52, kEast):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA11", kArthurMarsEnteredReactor);
 	case MakeRoomView(kMars52, kNorth):
 	case MakeRoomView(kMars52, kSouth):
-	case MakeRoomView(kMars52, kEast):
 	case MakeRoomView(kMars52, kWest):
 	case MakeRoomView(kMars54, kNorth):
 	case MakeRoomView(kMars54, kSouth):
@@ -1407,6 +1854,10 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 	case MakeRoomView(kMarsMaze007, kNorth):
 		launchMaze007Robot();
 		break;
+	case MakeRoomView(kMarsMaze009, kWest):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA20", kArthurMarsMazeReachedJunction);
+		break;
 	case MakeRoomView(kMarsMaze015, kSouth):
 		launchMaze015Robot();
 		break;
@@ -1429,6 +1880,18 @@ void Mars::arriveAt(const RoomID room, const DirectionConstant direction) {
 		GameState.setScoringThreadedMaze();
 		GameState.setMarsThreadedMaze(true);
 		break;
+	case MakeRoomView(kMarsMaze199, kWest):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA77", kArthurMarsFoundBuckets);
+		break;
+	case MakeRoomView(kMarsMaze200, kWest):
+		if (g_arthurChip) {
+			if (_vm->getRandomBit())
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA10", kArthurMarsApproachedBuckets);
+			else
+				g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA76", kArthurMarsApproachedBuckets);
+		}
+		break;
 	case MakeRoomView(kMarsDeathRoom, kNorth):
 	case MakeRoomView(kMarsDeathRoom, kSouth):
 	case MakeRoomView(kMarsDeathRoom, kEast):
@@ -1456,6 +1919,8 @@ void Mars::shieldOff() {
 }
 
 void Mars::turnTo(const DirectionConstant direction) {
+	Input input;
+
 	switch (MakeRoomView(GameState.getCurrentRoom(), direction)) {
 	case MakeRoomView(kMars27, kNorth):
 	case MakeRoomView(kMars27, kSouth):
@@ -1481,6 +1946,8 @@ void Mars::turnTo(const DirectionConstant direction) {
 	case MakeRoomView(kMars11, kSouth):
 	case MakeRoomView(kMars12, kSouth):
 		setCurrentActivation(kActivationReadyForKiosk);
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA33", kArthurMarsReadyForKiosk);		
 		break;
 	case MakeRoomView(kMars18, kNorth):
 		if (GameState.getMarsPodAtUpperPlatform())
@@ -1492,6 +1959,11 @@ void Mars::turnTo(const DirectionConstant direction) {
 			GameState.setMarsHeardCheckInMessage(true);
 		}
 		break;
+	case MakeRoomView(kMars41, kEast):
+	case MakeRoomView(kMars42, kEast):
+		if (g_arthurChip)
+			g_arthurChip->playArthurMovieForEvent("Images/AI/Globals/XGLOBA73", kArthurMarsFoundNoShuttlePresent);
+		break;
 	case MakeRoomView(kMars34, kSouth):
 	case MakeRoomView(kMars45, kNorth):
 		setCurrentActivation(kActivateMarsPodClosed);
